Method: projects.locations.collections.engines.agents.getAgentView

返回给定 AgentAgentView,其中包含有关该代理的附加信息。

HTTP 请求

GET https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/agents/*}:getAgentView

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。要获取的代理的名称。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}/agents/{agent}

查询参数

参数
languageCode

string

可选。当前向用户显示的界面语言。指定此字段会要求回答中 AgentView 的文本应被翻译成此语言。

maxSuggestedPrompts

integer

可选。每个代理要返回的建议提示的数量上限。

请求正文

请求正文必须为空。

响应正文

如果成功,则响应正文包含一个 GetAgentViewResponse 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite

如需了解详情,请参阅 Authentication Overview